#!/bin/sh

# tea algos
gcc ./tea_cversion/tea-decrypt.c -o ./decrypt.elf
gcc ./tea_cversion/tea-encrypt.c -o ./encrypt.elf

# client / server
g++ ./server/pasticciotto_server.cpp ../vm/vm.cpp ../vm/vmas.cpp -o ./server.elf
g++ ./client/pasticciotto_client.cpp ../vm/vm.cpp ../vm/vmas.cpp -o ./client.elf

# debug versions
g++ ./server/pasticciotto_server.cpp ../vm/vm.cpp ../vm/vmas.cpp -DDBG -o ./server-debug.elf
g++ ./client/pasticciotto_client.cpp ../vm/vm.cpp ../vm/vmas.cpp -DDBG -o ./client-debug.elf